﻿using System;
using System.Drawing;
using System.Windows.Forms;

namespace RelogioLegal
{
    public partial class frmmain : Form
    {
        private Timer tmr = new Timer();

        public frmmain()
        {
            InitializeComponent();
        }

        private Image GetImageIndex(string num)
        {
            return ImgDigitos.Images[Convert.ToInt32(num)];
        }

        private void Ticks(object sender, EventArgs e)
        {
            string Src = DateTime.Now.ToString();
            //Localiza o espaço na string Src
            int sPos = Src.IndexOf(" ");

            //Extrai a hora
            string sHora = Src.Substring(sPos + 1, Src.Length - sPos - 1);
            //Extraia e atualiza a data
            lblData.Text = Src.Substring(0, sPos);
            //Define os digitos
            Pic1.Image = GetImageIndex(sHora[0].ToString());
            Pic2.Image = GetImageIndex(sHora[1].ToString());
            Pic4.Image = GetImageIndex(sHora[3].ToString());
            Pic5.Image = GetImageIndex(sHora[4].ToString());
            Pic7.Image = GetImageIndex(sHora[6].ToString());
            Pic8.Image = GetImageIndex(sHora[7].ToString());
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            tmr.Interval = 1;
            tmr.Enabled = true;
            tmr.Tick += new EventHandler(Ticks);
            //define as imagens 
            Pic3.Image = ImgDigitos.Images[10];
            Pic6.Image = ImgDigitos.Images[10];
        }

        private void frmmain_FormClosing(object sender, FormClosingEventArgs e)
        {
            tmr.Enabled = false;
        }
    }
}
